{
  "extends": "./src/.umi/tsconfig.json",
  "compilerOptions": {
    "target": "esnext",
    "module": "esnext",
    "moduleResolution": "node",
    "importHelpers": true,
    "jsx": "react",
    "esModuleInterop": true,
//    "sourceMap": true,
    "baseUrl": ".",
//    "strict": true,
    "resolveJsonModule": true,
    "allowSyntheticDefaultImports": true,
    "outDir": "build/dist",
    "lib": ["esnext", "dom"],
    "experimentalDecorators": true,
    "forceConsistentCasingInFileNames": true,
    "suppressImplicitAnyIndexErrors": true,
    "allowJs": true,
    "skipLibCheck": true,
    "paths": {
      "@/*": ["./src/*"],
      "@@/*": ["./src/.umi/*"],
      "umi": ["./node_module/umi"],
      "@umijs/max": ["./node_module/umi"],
      "@umijs/max/typings": ["./src/.umi/typings"],
      "ahooks": ["./node_module/ahooks"],
      "@ant-design/icons": ["./node_module/@ant-design/icons"],
      "dayjs": ["./node_module/dayjs"]
    }
  },
  "exclude": ["node_modules", "build", "dist", "scripts", "src/.umi/*", "webpack", "jest"],
  "include": [
    "./.umirc.ts",
    "./**/*.d.ts",
    "./**/*.js",
    "./**/*.jsx",
    "./**/*.ts",
    "./**/*.tsx"
  ]
}
